
package sgc.portal.com.sym.user;

import sgc.portal.base.exception.NestedRuntimeException;
import sgc.portal.base.exception.advice.ErrorConst;

/**
 * The type Authentication exception.
 *
 * @author YongSang
 * @version 1.0.0
 * @since 2020. 7. 28.
 */
@SuppressWarnings("serial")
public class AuthenticationException extends NestedRuntimeException {
    /**
     * Instantiates a new Authentication exception.
     *
     * @param code the code
     */
    public AuthenticationException(final String code) {
        super(code);
    }

    /**
     * Instantiates a new Authentication exception.
     *
     * @param code      the code
     * @param arguments the arguments
     */
    public AuthenticationException(final String code, final Object[] arguments) {
        super(code, arguments);
    }

    @Override
    public int getErrorCode() {
        return ErrorConst.AUTHENTICATION_ERROR;
    }
}